### Method

# Ide Snippet get_full_text

#### Declaration

    gchar*
    ide_snippet_get_full_text (
      IdeSnippet* self
    )

#### Description

Gets the contents of the snippet as currently edited by the user.

Available since: | 3.32

#### Return value

Returns: | `gchar*`
| A newly allocated string containing the full contents of all the snippet chunks.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.